<template>
  <header :class="{ 'home-header': isHomePage }">
    <div class="header-container">
      <div
        class="topbar"
        :style="{
          color: `#${topbarColor}`,
          backgroundColor: `#${tobarBgColor}`,
        }"
      >
        <ext-link :linkProps="tobparLink">{{
          topbarMessage
        }}</ext-link>
      </div>
      <div class="header menu-content-sized-container">
        <div class="logo">
          <NuxtLink :to="localePath('/')">
            <img :src="iconImage" alt="Thorchain" />
          </NuxtLink>
        </div>
        <BaseNav />
      </div>
      <!-- Disabing this feature -->
      <!-- <BaseMenuNav /> -->
    </div>
  </header>
</template>

<script>
import ExtLink from "../main/ExtLink.vue";
export default {
  data() {
    return {
      iconImage: require("~/assets/images/nav/logo-thorchain.svg"),
      topbarMessage:
        "THORChain live for native BTC, ETH, BNB, LTC, BCG, DOGE, ATOM, and AVAX! Swap or pool via THORChain interfaces",
      topbarColor: "02121d",
      tobarBgColor: "28f4af",
      tobparLink: this.$links("slash_interfaces"),
      hover: this.$route.path,
      isHomePage: this.$route.path == "/",
    };
  },
  methods: {
    changeHoverNav(value) {
      this.hover = value;
    },
  },
  watch: {
    $route(to, from) {
      console.log("route changed");
      this.isHomePage = this.$route.path == "/";
    },
  },
};
</script>

<style lang="scss" scoped>
header {
  // position: sticky;
  top: 0;
  left: 0;
  right: 0;
  z-index: 100;
  border-bottom: 1px solid $thor-divider-border-color;
  margin-bottom: 2.5rem;
}

.home-header {
  border: none;
  position: static;
}

.header {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  background-color: $thor-bg-color;
  height: 5.5rem;
}

.header-container {
  background-color: $thor-bg-color;
}

.logo {
  img {
    width: 12.3125rem;
  }
}

.topbar {
  height: 1.25rem;
  display: flex;
  justify-content: center;
  align-items: center;

  a {
    font-family: Roboto;
    color: inherit;
    display: block;
    text-align: center;
    text-decoration: none;
    font-weight: bold;
    text-transform: uppercase;
    font-size: 0.75rem;
    cursor: pointer;
  }
}
</style>